emacs-bug-tracker
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

bug#62703: closed ([PATCH] gnu: abjad: Fix build.)


From: GNU bug Tracking System
Subject: bug#62703: closed ([PATCH] gnu: abjad: Fix build.)
Date: Fri, 14 Apr 2023 17:58:02 +0000

Your message dated Fri, 14 Apr 2023 13:57:04 -0400
with message-id <ZDmT8DQblYIIA4SZ@jasmine.lan>
and subject line Re: [bug#62703] [PATCH] gnu: abjad: Fix build.
has caused the debbugs.gnu.org bug report #62703,
regarding [PATCH] gnu: abjad: Fix build.
to be marked as done.

(If you believe you have received this mail in error, please contact
help-debbugs@gnu.org.)


-- 
62703: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=62703
GNU Bug Tracking System
Contact help-debbugs@gnu.org with problems
--- Begin Message --- Subject: [PATCH] gnu: abjad: Fix build. Date: Thu, 6 Apr 2023 22:37:15 +0100
Sort use-module alphabetically and add (guix build-system pyproject)

* gnu/packages/music.scm (abjad): Fix build.
  [arguments]: Use gexp.
  <phases>: Add disable-failing-tests phase to fix build process of the
  package.
  [propagated-inputs]: Move python-flake8, python-isort, python-mypy,
  python-pytest, python-pytest-cov, python-pytest-helpers-namespace,
  python-six, python-sphinx-autodoc-typehints from here ...
  [native-inputs]: ... to here. Remove python-black.
---
 gnu/packages/music.scm | 98 +++++++++++++++++++++---------------------
 1 file changed, 50 insertions(+), 48 deletions(-)

diff --git a/gnu/packages/music.scm b/gnu/packages/music.scm
index c63dc69972..faaf82703b 100644
--- a/gnu/packages/music.scm
+++ b/gnu/packages/music.scm
@@ -69,33 +69,34 @@
 ;;; along with GNU Guix.  If not, see <http://www.gnu.org/licenses/>.
 
 (define-module (gnu packages music)
-  #:use-module (guix gexp)
-  #:use-module (guix utils)
-  #:use-module (guix packages)
-  #:use-module (guix download)
-  #:use-module (guix git-download)
   #:use-module ((guix licenses) #:prefix license:)
-  #:use-module (guix build-system gnu)
   #:use-module (guix build-system ant)
   #:use-module (guix build-system cmake)
+  #:use-module (guix build-system glib-or-gtk)
+  #:use-module (guix build-system gnu)
+  #:use-module (guix build-system go)
   #:use-module (guix build-system meson)
   #:use-module (guix build-system perl)
+  #:use-module (guix build-system pyproject)
   #:use-module (guix build-system python)
   #:use-module (guix build-system qt)
-  #:use-module (guix build-system scons)
-  #:use-module (guix build-system glib-or-gtk)
   #:use-module (guix build-system qt)
-  #:use-module (guix build-system waf)
-  #:use-module (guix build-system trivial)
-  #:use-module (guix build-system go)
   #:use-module (guix build-system qt)
+  #:use-module (guix build-system scons)
+  #:use-module (guix build-system trivial)
+  #:use-module (guix build-system waf)
+  #:use-module (guix download)
+  #:use-module (guix gexp)
+  #:use-module (guix git-download)
+  #:use-module (guix packages)
+  #:use-module (guix utils)
   #:use-module (gnu packages)
   #:use-module (gnu packages admin)
   #:use-module (gnu packages algebra)
   #:use-module (gnu packages apr)
+  #:use-module (gnu packages assembly)
   #:use-module (gnu packages audio)
   #:use-module (gnu packages autotools)
-  #:use-module (gnu packages assembly)
   #:use-module (gnu packages backup)
   #:use-module (gnu packages base) ;libbdf
   #:use-module (gnu packages bash)
@@ -104,9 +105,9 @@ (define-module (gnu packages music)
   #:use-module (gnu packages boost)
   #:use-module (gnu packages build-tools)
   #:use-module (gnu packages cdrom)
-  #:use-module (gnu packages code)
   #:use-module (gnu packages check)
   #:use-module (gnu packages cmake)
+  #:use-module (gnu packages code)
   #:use-module (gnu packages compression)
   #:use-module (gnu packages cpp)
   #:use-module (gnu packages crypto)
@@ -124,13 +125,14 @@ (define-module (gnu packages music)
   #:use-module (gnu packages freedesktop)
   #:use-module (gnu packages game-development)
   #:use-module (gnu packages gcc)
-  #:use-module (gnu packages gnupg)
   #:use-module (gnu packages gettext)
   #:use-module (gnu packages ghostscript)
   #:use-module (gnu packages gl)
   #:use-module (gnu packages glib)
   #:use-module (gnu packages gnome)
   #:use-module (gnu packages gnunet)
+  #:use-module (gnu packages gnupg)
+  #:use-module (gnu packages golang)
   #:use-module (gnu packages gpodder)
   #:use-module (gnu packages graphics)
   #:use-module (gnu packages graphviz)
@@ -142,12 +144,13 @@ (define-module (gnu packages music)
   #:use-module (gnu packages image)
   #:use-module (gnu packages imagemagick)
   #:use-module (gnu packages java)
-  #:use-module (gnu packages libffi)
   #:use-module (gnu packages libevent)
+  #:use-module (gnu packages libffi)
   #:use-module (gnu packages libusb)
   #:use-module (gnu packages linux) ; for alsa-utils
   #:use-module (gnu packages lirc)
   #:use-module (gnu packages llvm)
+  #:use-module (gnu packages lua)
   #:use-module (gnu packages man)
   #:use-module (gnu packages mp3)
   #:use-module (gnu packages mpd)
@@ -180,8 +183,8 @@ (define-module (gnu packages music)
   #:use-module (gnu packages stb)
   #:use-module (gnu packages tcl)
   #:use-module (gnu packages terminals)
-  #:use-module (gnu packages texinfo)
   #:use-module (gnu packages tex)
+  #:use-module (gnu packages texinfo)
   #:use-module (gnu packages time)
   #:use-module (gnu packages tls)
   #:use-module (gnu packages version-control)
@@ -192,11 +195,9 @@ (define-module (gnu packages music)
   #:use-module (gnu packages wm)
   #:use-module (gnu packages wxwidgets)
   #:use-module (gnu packages xdisorg)
+  #:use-module (gnu packages xiph)
   #:use-module (gnu packages xml)
   #:use-module (gnu packages xorg)
-  #:use-module (gnu packages xiph)
-  #:use-module (gnu packages golang)
-  #:use-module (gnu packages lua)
   #:use-module ((srfi srfi-1) #:select (last)))
 
 (define-public audacious
@@ -1554,50 +1555,51 @@ (define-public music21
 (define-public abjad
   (package
     (name "abjad")
+    ;; XXX: The latest version which supports current Guix's Python 3.9.9.
     (version "3.4")
     (source
      (origin
        (method git-fetch)
        (uri (git-reference
-         (url "https://github.com/Abjad/abjad";)
-         (commit (string-append "v" version))))
+             (url "https://github.com/Abjad/abjad";)
+             (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
-        (base32
-         "0s63vk9fifp0im9c31kb9ck39mbaxhrls993d8fvg0nkg41z1jnz"))))
-    (build-system python-build-system)
+        (base32 "0s63vk9fifp0im9c31kb9ck39mbaxhrls993d8fvg0nkg41z1jnz"))))
+    (build-system pyproject-build-system)
     (arguments
-     `(#:phases
-       (modify-phases %standard-phases
-         (add-after 'unpack 'loosen-requirements
-           (lambda _
-             (substitute* "setup.py"
-               ;; Permit newer versions of uqbar.  Remove for >3.4.
-               ((", <0\\.5\\.0")
-                ""))))
-         (replace 'check
-           (lambda* (#:key tests? #:allow-other-keys)
-             (when tests?
-               ;; See: https://stackoverflow.com/a/34140498
-               (invoke "python" "-m" "pytest" "tests")))))))
+     (list
+      #:phases
+      #~(modify-phases %standard-phases
+          (add-after 'unpack 'loosen-requirements
+            (lambda _
+              (substitute* "setup.py"
+                ;; Permit newer version of uqbar. remove for >3.4.
+                ((", <0\\.5\\.0")
+                 ""))))
+          ;; FIXME: Check why it's failing with this: Note: compilation failed
+          ;; and \version outdated, did you update input syntax with
+          ;; convert-ly?
+          (add-before 'check 'disable-failing-tests
+            (lambda _
+              (substitute* "tests/test_ext_sphinx.py"
+                (("def test_ext_sphinx_01") "def 
__off_test_ext_sphinx_01")))))))
     (inputs
      (list lilypond))
-    (propagated-inputs
-     (list python-ply
-           python-quicktions
-           python-roman
-           python-six
-           python-uqbar
-           ;; XXX: These test dependencies(?) are listed as install_requires
-           ;; in setup.py.  Propagate accordingly.
-           python-black
-           python-flake8
+    (native-inputs
+     (list python-flake8
            python-isort
            python-mypy
            python-pytest
            python-pytest-cov
            python-pytest-helpers-namespace
+           python-six
            python-sphinx-autodoc-typehints))
+    (propagated-inputs
+     (list python-quicktions
+           python-ply
+           python-roman
+           python-uqbar))
     (home-page "https://abjad.github.io";)
     (synopsis "Python API for building LilyPond files")
     (description
@@ -1607,7 +1609,7 @@ (define-public abjad
 programming language, you can use Abjad to make systematic changes to music as 
you work.
 Because Abjad wraps the LilyPond music notation package, you can use Abjad to 
control the
 typographic detail of symbols on the page.")
-     (license license:expat)))
+    (license license:expat)))
 
 (define-public python-abjad
   (deprecated-package "python-abjad" abjad))
-- 
2.39.2




--- End Message ---
--- Begin Message --- Subject: Re: [bug#62703] [PATCH] gnu: abjad: Fix build. Date: Fri, 14 Apr 2023 13:57:04 -0400
On Thu, Apr 06, 2023 at 10:37:15PM +0100, Sharlatan Hellseher wrote:
> Sort use-module alphabetically and add (guix build-system pyproject)
> 
> * gnu/packages/music.scm (abjad): Fix build.
>   [arguments]: Use gexp.
>   <phases>: Add disable-failing-tests phase to fix build process of the
>   package.
>   [propagated-inputs]: Move python-flake8, python-isort, python-mypy,
>   python-pytest, python-pytest-cov, python-pytest-helpers-namespace,
>   python-six, python-sphinx-autodoc-typehints from here ...
>   [native-inputs]: ... to here. Remove python-black.

Pushed updated patches found in #62702 as
cbba52aaf7ca9b05c3ff86bfda5d3a7969135e6b


--- End Message ---

reply via email to

[Prev in Thread] Current Thread [Next in Thread]